
arv - Tâche #14116

Scénario # 14084 (Terminé (Sprint)): Assistance aux utilisateurs (49-51)

ARV : utiliser la bonne variable pour nommer le fichier certificat

11/20/2015 02:31 PM - Fabrice Barconnière

Status: Fermé Start date: 11/20/2015

Priority: Normal Due date:  

Assigned To: Fabrice Barconnière % Done: 100%

Target version: Sprint 2015 49-51 - Équipe MENESR Estimated time: 1.00 hour

  Spent time: 4.50 hours

Description

Remarque par mail sur la liste Amon de Camille Jactard de l'académie de la Réunion :

Je ne sais pas si c'est uniquement valable sur notre académie, mais j'ai remarqué un petit soucis 

sur le fichier /usr/lib/python2.7/dist-packages/arv/lib/sw_config_apply.py

Il me semble y avoir une petite coquille dans une déclaration de variable :

# generate certificate and private key files

                local_cred_name = re.sub('/', r'_', local_cred.name)

                cred_filename = join(tmpconfigs_directory_certs, local_cred.name + ".pem")

Ma réponse :

je me souviens bien avoir fait cette modification suite à des problèmes rencontrés dans votre acad

émie.

Il semble effectivement que c'est bien la variable *local_cred_name* qui devrait être utilisée dan

s la ligne *cred_filename = join.......*

 

Pour reproduire :

Il faut mettre en place un VPN pour tester toute la chaîne.

Appliquer les patches certif-vpn.conf.patch et ca-sphynx.conf.patch

reconfigure
Associated revisions

Revision 62eff124 - 11/30/2015 03:08 PM - Fabrice Barconnière

arv/lib/sw_config_apply.py : coquille dans l'utilisation de la variable local_cred_name

ref #14116 @15m

Revision b6c20ca0 - 12/11/2015 04:00 PM - Fabrice Barconnière

ARV : Prise en compte d'attributs supplémentaires dans les certificats

db/node.py : le nom du certificat est tout ce qui suit CN=
https://dev-eole.ac-dijon.fr/attachments/download/1508/certif-vpn.conf.patch
https://dev-eole.ac-dijon.fr/attachments/download/1510/ca-sphynx.conf.patch


lib/sw_config_apply.py : remplacer '/' par '_' dans le nom de fichier

des certificats/clés privées

ref #14116 @3h

History

#1 - 11/30/2015 03:27 PM - Fabrice Barconnière

- Status changed from Nouveau to En cours

#2 - 11/30/2015 03:27 PM - Fabrice Barconnière

- Assigned To set to Fabrice Barconnière

- Remaining (hours) changed from 1.0 to 0.1

#3 - 12/01/2015 09:51 AM - Scrum Master

- Status changed from En cours to Résolu

#4 - 12/01/2015 02:43 PM - Fabrice Barconnière

- % Done changed from 0 to 100

#5 - 12/11/2015 11:57 AM - Fabrice Barconnière

- Status changed from Résolu to En cours

#6 - 12/11/2015 11:57 AM - Fabrice Barconnière

- Remaining (hours) changed from 0.1 to 1.0

#7 - 12/11/2015 12:10 PM - Fabrice Barconnière

- File certif-vpn.conf.patch added

- Description updated

- Remaining (hours) changed from 1.0 to 2.0

#8 - 12/11/2015 12:11 PM - Fabrice Barconnière

- Description updated

- % Done changed from 100 to 60

#9 - 12/11/2015 02:13 PM - Fabrice Barconnière

- File ca-sphynx.conf.patch added

#10 - 12/11/2015 02:13 PM - Fabrice Barconnière

- Description updated

#11 - 12/11/2015 03:40 PM - Fabrice Barconnière

- File deleted (ca-sphynx.conf.patch)

#12 - 12/11/2015 04:17 PM - Fabrice Barconnière

- File ca-sphynx.conf.patch added

#13 - 12/11/2015 04:17 PM - Fabrice Barconnière

- Description updated
#14 - 12/11/2015 04:22 PM - Fabrice Barconnière

- % Done changed from 60 to 100

- Remaining (hours) changed from 2.0 to 1.0

#15 - 12/11/2015 04:23 PM - Fabrice Barconnière

- Description updated

#16 - 12/14/2015 09:51 AM - Scrum Master

- Status changed from En cours to Résolu

#17 - 12/15/2015 04:57 PM - Joël Cuissinat

- Remaining (hours) changed from 1.0 to 0.25

Validation en cours... => OK

#18 - 12/16/2015 11:02 AM - Joël Cuissinat

- Status changed from Résolu to Fermé

- Remaining (hours) changed from 0.25 to 0.0

Files

certif-vpn.conf.patch 752 Bytes 12/11/2015 Fabrice Barconnière

ca-sphynx.conf.patch 672 Bytes 12/11/2015 Fabrice Barconnière
